/* ------------------------------------------------------------------------ */
/* CLIPSHOP.H (C) CopyLeft Bill Buckels 1999                                */
/* All Rights Reversed.                                                     */
/*                                                                          */
/* Licence Agreement                                                        */
/* -----------------                                                        */
/*                                                                          */
/* You have a royalty-free right to use, modify, reproduce and              */
/* distribute this source code in any way you find useful,                  */
/* provided that you agree that Bill Buckels has no warranty obligations    */
/* or liability resulting from said distribution in any way whatsoever.     */
/* If you don't agree, remove this source code from your computer now.      */
/*                                                                          */
/* Written by   : Bill Buckels                                              */
/*                589 Oxford Street                                         */
/*                Winnipeg, Manitoba, Canada R3M 3J2                        */
/*                                                                          */
/* Email: bbuckels@escape.ca                                                */
/* WebSite: http://www.escape.ca/~bbuckels                                  */
/*                                                                          */
/* Date Written : June 1999                                                 */
/* Purpose      : Header File for Clipshop.c                                */
/* Revision     : 1.1 First Release                                         */
/* ------------------------------------------------------------------------ */
/* Written in Large Model Microsoft C Version 6.00a                         */
/* ------------------------------------------------------------------------ */


// menu constants
#define IDM_LOAD      0x100
#define IDM_CHANGE    0x101
#define IDM_SAVE      0x102
#define IDM_EXPORT    0x103
#define IDM_MORE      0x104
#define IDM_COPY      0x105
#define IDM_THINCOPY  0x106
#define IDM_SMALLCOPY 0x107
#define IDM_HELP      0x108
#define IDM_ABOUT     0x109

#define IDM_DELETE    0x110
#define IDM_QUIT      0x111

// dialog constants
#define IDD_CANCEL   5000
#define IDD_EDITTEXT 5001

#define DIR_ANY       0
#define DIR_PRINTSHOP 1
#define DIR_BMP       2

#define SUCCESS       0
#define FAILURE       -1

#define ASCIIZ        0

#define BMPHEADERSIZE 40L


#define MAXCUSTFILTER 256
#define MAXFILENAME   256
#define INPUTSIZE     128   // max length of input - various cases

#define XMAX          400
#define YMAX          400
#define XSHOP         88   // nominal old printshop image width
#define YSHOP         52   // nominal old printshop image height

#define FILEMAX       ((200 * 320)/8)
#define BUFFERMAX     ((400 * 320)/8)
#define CAPTIONLENGTH 16
#define PRINT_PARTNER "PrintPartner"

#define EXPORTWIDTH     128
#define EXPORTHEIGHT    72
#define EXPADDINGWIDTH  32
#define EXPADDINGBYTES  (EXPADDINGWIDTH / 8)
#define EXPORTBYTES     ((EXPORTWIDTH / 8) + EXPADDINGBYTES)
#define EXPORTIMAGES    8

#define EXRASTERWIDTH  ((EXPORTWIDTH * EXPORTIMAGES) + EXPADDINGWIDTH)
#define EXRASTERBYTES  (EXRASTERWIDTH/8)
#define EXPORTBLOCK    (EXPORTHEIGHT * EXRASTERBYTES)
